import { getNavigationValue } from "@brojs/cli";
import { generatePath } from "react-router-dom";


export const URLs = {
  baseUrl: getNavigationValue('nav1.main'),
  profile: {
    isOn: Boolean(getNavigationValue("link.nav1.profile")),
    url: `${getNavigationValue('nav1.main')}${getNavigationValue("link.nav1.profile")}`,
    getUrl(userId: string, projectId: string) {
      return generatePath(this.url, { userId, projectId });
    },
  },
  about: {
    isOn: Boolean(getNavigationValue("link.nav1.about")),
    url: `${getNavigationValue('nav1.main')}${getNavigationValue("link.nav1.about")}`,
    getUrl() {
      return this.url;
    },
  },
};
